import { ModuleInfo } from "narik-infrastructure";
import { Observable } from "rxjs/internal/Observable";
import { Injector } from "@angular/core";
export declare abstract class NarikModule {
    private injector;
    abstract readonly key: string;
    abstract readonly moduleInfo: Observable<ModuleInfo>;
    private moduleManager;
    private moduleRef;
    private httpService;
    private jsonService;
    private configService;
    private moduleRootPath;
    constructor(injector: Injector);
    protected registerModule(): void;
    protected loadInfoFromJson(): Observable<ModuleInfo>;
    protected loadInfoFromData(info: ModuleInfo): Observable<ModuleInfo>;
}
