import { EventAggregatorService, EventInfo, MetaDataService } from "narik-infrastructure";
import { Observable } from "rxjs/internal/Observable";
import { Subject } from "rxjs/internal/Subject";
export declare class NarikEventAggregatorService extends EventAggregatorService {
    private metadataService;
    private eventsInfo;
    private subjects;
    constructor(metadataService: MetaDataService);
    private addMetaDataEvents;
    getSubject(eventType: string): Subject<any>;
    createSubject(eventInfo: EventInfo): Subject<any>;
    publish(eventType: any, eventArgs: any): void;
    listen<T>(eventType: any): Observable<T>;
}
