import { Observable } from "rxjs";
import { ConfigService } from "narik-infrastructure";
export interface ResourceModel {
    src: string;
    loaded?: boolean;
}
export declare class NarikResourceLoaderService {
    private resources;
    private dynamicResourcesPath;
    constructor(configService: ConfigService);
    load(items: (ResourceModel | ResourceModel[])[]): Observable<ResourceModel[]>;
    private loadInternall;
}
