import { DialogContainer, DialogOption, DialogAction, DialogRef } from "narik-infrastructure";
import { EventEmitter, ViewContainerRef } from "@angular/core";
import { ComponentLoaderHostDirective } from "narik-common";
import { AnimationEvent } from "@angular/animations";
export declare class NarikDialogContainer implements DialogContainer {
    isOpen: boolean;
    closeAnimationCompleted: EventEmitter<any>;
    loaderHost: ComponentLoaderHostDirective;
    options: DialogOption;
    title: string;
    actions: DialogAction[];
    dialogRef: DialogRef<any>;
    readonly contentContainerRef: ViewContainerRef;
    actionClick(item: DialogAction): void;
    _onAnimationDone(event: AnimationEvent): void;
}
export declare const DialogAnimationBody: (import("@angular/animations").AnimationStateMetadata | import("@angular/animations").AnimationTransitionMetadata)[];
