import { ModuleManager, ConfigService } from "narik-infrastructure";
import { Injector, ModuleWithProviders } from "@angular/core";
import { NarikCoreModuleConfig } from "./interfaces/narik-core-module.config";
import { NarikTranslateService } from "./services/narik-translation.service";
export declare class NarikCoreModule {
    constructor(translateService: NarikTranslateService, defaultLang: string, useDefaultLang: boolean, injector: Injector);
    static forRoot(config?: NarikCoreModuleConfig): ModuleWithProviders<NarikCoreModule>;
}
export declare function initConfig(configService: ConfigService, moduleManager: ModuleManager): () => Promise<any>;
