import { DataInfo } from "narik-infrastructure";
import { Observable } from "rxjs/internal/Observable";
import { Injector } from "@angular/core";
import { NarikBaseDataStorage, StorageModel } from "../../base/narik-base-data-storage";
export declare class LocalStorageDataProvider extends NarikBaseDataStorage {
    key: string;
    order: number;
    belongsInChain: boolean;
    constructor(injector: Injector, validityLen: number);
    getStorageModel<T>(dataInfo: DataInfo): Observable<StorageModel>;
    isDataProviderFor(dataInfo: DataInfo): boolean;
    addItem(dataItmes: {
        dataInfo: DataInfo;
        data: any;
    }[]): Observable<any>;
    clear(): Observable<any>;
    removeItems(items: DataInfo[]): Observable<any>;
}
