import { DataInfo, DataProvider, RemoteDataProviderService } from "narik-infrastructure";
import { Observable } from "rxjs/internal/Observable";
import { Injector } from "@angular/core";
import { NarikBaseDataProvider } from "../../base/narik-base-data-provider";
export declare class RemoteDataProvider extends NarikBaseDataProvider implements DataProvider {
    private remoteDataProvider;
    key: string;
    order: number;
    belongsInChain: boolean;
    constructor(injector: Injector, remoteDataProvider: RemoteDataProviderService);
    isDataProviderFor(dataInfo: DataInfo): boolean;
    getData(dataInfo: DataInfo): Observable<any>;
    getData<T>(dataInfo: DataInfo): Observable<T>;
    getDataStream(dataInfo: DataInfo): Observable<any>;
    getDataStream<T>(dataInfo: DataInfo): Observable<T>;
}
