import { ConfigService, ConfigOptions } from "narik-infrastructure";
import { NarikHttpService } from "./narik-http.service";
import { Observable } from "rxjs/internal/Observable";
export declare class NarikConfigService extends ConfigService {
    private httpService;
    private configOptions;
    private configPath;
    configData: any;
    configKeys: string[];
    private configLoadedSubject;
    constructor(httpService: NarikHttpService, configOptions: ConfigOptions, configPath: string);
    readonly configLoaded: Observable<any>;
    init(): Promise<any>;
    getConfig<T>(key: string): T;
    getAllKeys(): string[];
}
