import { DataInfo, DataProvider, DataProviderService, ModuleManager, EventAggregatorService, DataOption, RemoteMessagingService } from "narik-infrastructure";
import { Observable } from "rxjs/internal/Observable";
import { Injector } from "@angular/core";
export declare class NarikDataProviderService extends DataProviderService {
    private moduleManager;
    private injector;
    private eventAggregatorService;
    private remoteMessagingService;
    private dataProviders;
    private modulesDataItems;
    private modulesDafaultProviderKey;
    private modulesDafaultOriginProviderKey;
    constructor(providers: DataProvider[], moduleManager: ModuleManager, injector: Injector, eventAggregatorService: EventAggregatorService, remoteMessagingService: RemoteMessagingService);
    private addDataItems;
    protected tryToFindDataProviderKey(dataInfo: DataInfo, fromOrigin?: boolean): string;
    protected tryToFindFromOtherProvidersOnNotFound<T>(dataInfo: DataInfo, faultDataProvider: DataProvider): Observable<T>;
    getData(dataInfo: DataInfo, options?: DataOption): Observable<any>;
    getData<T>(dataInfo: DataInfo, options?: DataOption): Observable<T>;
    getDataStream(dataInfo: DataInfo, options?: DataOption): Observable<any>;
    getDataStream<T>(dataInfo: DataInfo, options?: DataOption): Observable<T>;
}
