import { DialogOption, DialogRef, NavigationProvider, NavigationService, NarikOutlet } from "narik-infrastructure";
import { NavigationExtras, UrlTree } from "@angular/router";
export declare class NarikNavigationService implements NavigationService {
    private navigationProviders;
    constructor(providers: NavigationProvider[]);
    navigate(commands: any[] | string | UrlTree, providerKey?: string, extras?: NavigationExtras, data?: any, dialogOptions?: DialogOption): Promise<boolean | DialogRef<any>>;
    createNavigationCommand(providerKey: string, path: string): any[] | string | UrlTree;
    setOutlet(providerKey: string, outlet: NarikOutlet): void;
}
