import { Router, Route, UrlSegment, UrlSegmentGroup, UrlMatchResult } from "@angular/router";
import { NarikOutlet } from "narik-infrastructure";
export declare class NarikBaseNavigationProvider {
    protected router: Router;
    outlet: NarikOutlet;
    constructor(router: Router);
    findRoute(config: Route[], segments: UrlSegment[], segmentGroup: UrlSegmentGroup): {
        match?: UrlMatchResult;
        route?: Route;
    };
    getChildConfig(route: Route): Route[];
    defaultUrlMatcher(segments: UrlSegment[], segmentGroup: UrlSegmentGroup, route: Route): UrlMatchResult | null;
}
