import { DialogOption, DialogRef, DialogService, NavigationProvider } from "narik-infrastructure";
import { NavigationExtras, Router, UrlTree } from "@angular/router";
import { NarikBaseNavigationProvider } from "./narik-base-navigation.provider";
export declare class NarikDialogNavigationProvider extends NarikBaseNavigationProvider implements NavigationProvider {
    private dialogService;
    key: string;
    constructor(dialogService: DialogService, router: Router);
    createNavigationCommand(path: string): any[] | string | UrlTree;
    navigate(commands: any[] | string | UrlTree, extras?: NavigationExtras, data?: any, dialogOptions?: DialogOption): Promise<boolean | DialogRef<any>>;
}
