import { DialogOption, DialogRef, NavigationProvider, NarikOutlet } from "narik-infrastructure";
import { NavigationExtras, Router, UrlTree } from "@angular/router";
export declare class NarikRouteNavigationProvider implements NavigationProvider {
    private router;
    key: string;
    outlet: NarikOutlet;
    constructor(router: Router);
    createNavigationCommand(path: string): any[] | string | UrlTree;
    navigate(commands: any[] | string | UrlTree, extras?: NavigationExtras, data?: any, dialogOptions?: DialogOption): Promise<boolean | DialogRef<any>>;
}
