import { ConfigService } from "narik-infrastructure";
import { HttpClient } from "@angular/common/http";
import { TranslateLoader } from "@ngx-translate/core";
export declare class NarikTranslateLoader implements TranslateLoader {
    private http;
    private configService;
    private items;
    private root;
    constructor(http: HttpClient, configService: ConfigService, items?: string[]);
    private slash;
    getTranslation(lang: string): any;
    private getTranslationInternal;
    addTranslationItem(item: string): void;
    getTranslateFilePath(lang: string, item: string): string;
}
