import { UrlCreator, PagingParameters } from "narik-infrastructure";
export declare class ODataUrlCreator extends UrlCreator {
    key: string;
    odataFilters: {
        eq: string;
        neq: string;
        gt: string;
        gte: string;
        lt: string;
        lte: string;
        contains: string;
        doesnotcontain: string;
        endswith: string;
        startswith: string;
        isnull: string;
        isnotnull: string;
        isnullorempty: string;
        isnotnullorempty: string;
        isempty: string;
        isnotempty: string;
    };
    applyParameters(url: string, parameters: any): string;
    applyPagingParameters(url: string, pagingParameter: PagingParameters): string;
    private toOdataFilter;
}
